/* Borland-style conio wrappers for Watcom text functions */

#include <graph.h>

/* For console input routines */
#include "/bin/watcom/h/conio.h"        /* "../h/conio.h" */

#define BLACK 0
#define LIGHTGRAY 7

#define _NOCURSOR _GCURSOROFF
/* #define _SOLIDCURSOR */      /* not supported */
#define _NORMALCURSOR _GCURSORON

/* struct and struct members */
#define text_info videoconfig
#define screenwidth numtextcols
#define screenheight numtextrows
#define gettextinfo _getvideoconfig

#define cinit() /* not needed */

#define clrscr() _clearscreen(_GWINDOW)
#define textcolor(c) _settextcolor(c)
#define textbackground(c) _setbkcolor(c)
#define lowvideo() _settextcolor(_gettextcolor() & 7)
#define highvideo() _settextcolor(_gettextcolor() | 8)
#define normvideo() {_settextcolor(LIGHTGRAY); _setbkcolor(BLACK);}
#define _setcursortype(c) _settextcursor(c)
#define gotoxy(x,y) _settextposition(y,x)
#define wherey() _gettextposition().row 
#define wherex() _gettextposition().col
#define window(l,t,r,b) _settextwindow(l,t,r,b)
#define cputs(s) _outtext(s)

/* These are defined in wconio.c */
#define cprintf _outprintf
#define insline _insline
#define delline _delline
#define clreol _clreol

extern int _outprintf(const char *format, ...);
extern void _insline(void);
extern void _delline(void);
extern void _clreof(void);
